IPython - Enhanced Interactive Python

when looping, cursor appears at leftmost point in newline

Reported by Aviad Reich on 2009-02-26
2
Affects Status Importance Assigned to Milestone
IPython
In Progress
Low
Fernando Perez

Bug Description

when performing (for example) a for loop -

In [1]: for i in xrange(10):
 [] ...:

where [] represents the cursor. Typing *as if* the cursor is after the ...: looks funny but works as normal.

This happened on Ubuntu 8.10 x86_64 in both IPython 0.9.1 and 0.8.4.

attached is an image of the same.

Aviad Reich (aviad-reich) wrote :

On Wed, Feb 25, 2009 at 11:42 PM, boYa <email address hidden> wrote:
> Public bug reported:
>
> when performing (for example) a for loop -
>
> In [1]: for i in xrange(10):
>  [] ...:
>
> where [] represents the cursor. Typing *as if* the cursor is after the
> ...: looks funny but works as normal.

That looks very bizarre, and I've never seen it. My main desktop is
also an x86_64 ubuntu 8.10 box and I use gnome-terminal, and I've
never seen this.

A few questions:

- try temporarily renaming ~/.ipython to something else to force a
clean reinstall of your config settings. If the problem goes away, at
least we'll know it's something config related.

- What locale do you use?

- Does it happen if you try a different font?

- A different terminal (xterm, aterm, rxvt, konsole, ...)?

Cheers,

f

Aviad Reich (aviad-reich) wrote :

in order of appearance:

> - try temporarily renaming ~/.ipython to something else to force a
> clean reinstall of your config settings. If the problem goes away, at
> least we'll know it's something config related.

still the same.

> - What locale do you use?

user@home-desktop:~$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

> - Does it happen if you try a different font?

It does.

> - A different terminal (xterm, aterm, rxvt, konsole, ...)?

all the same in: xterm, aterm, rxvt, konsole and pyqonsole, and even tty1...

Aviad

On Thu, Feb 26, 2009 at 4:45 AM, boYa <email address hidden> wrote:
> in order of appearance:
>
>> - try temporarily renaming ~/.ipython to something else to force a
>> clean reinstall of your config settings. If the problem goes away, at
>> least we'll know it's something config related.
>
> still the same.

[...]

Ouch. I sincerely haven't the foggiest idea. I'm going to ping the
dev list to ask for help, because I'm completely stumped as to what
could be causing this.

One more thing to try: type

%colors nocolor

and see if the problem persists. Just a hunch that it could be
something related to ANSI escapes handling...

Cheers,

f

Aviad Reich (aviad-reich) wrote :

Unbelievable!

It worked.

Aviad

On Thu, Feb 26, 2009 at 8:16 PM, Fernando Perez <email address hidden>wrote:

> On Thu, Feb 26, 2009 at 4:45 AM, boYa <email address hidden> wrote:
> > in order of appearance:
> >
> >> - try temporarily renaming ~/.ipython to something else to force a
> >> clean reinstall of your config settings. If the problem goes away, at
> >> least we'll know it's something config related.
> >
> > still the same.
>
> [...]
>
> Ouch. I sincerely haven't the foggiest idea. I'm going to ping the
> dev list to ask for help, because I'm completely stumped as to what
> could be causing this.
>
> One more thing to try: type
>
> %colors nocolor
>
> and see if the problem persists. Just a hunch that it could be
> something related to ANSI escapes handling...
>
> Cheers,
>
> f
>
> --
> when looping, cursor appears at leftmost point in newline
> https://bugs.launchpad.net/bugs/334744
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Ville M. Vainio (villemvainio) wrote :

If nocolor works, You migth also want to try "ipython -p sh". Just to test whether it's the particular escape sequence in default prompt that is screwing your terminal.

I'd be quick to point at a buggy readline.

Fernando Perez (fdo.perez) wrote :

On Thu, Feb 26, 2009 at 11:38 AM, Ville M. Vainio <email address hidden> wrote:
> If nocolor works, You migth also want to try "ipython -p sh". Just to
> test whether it's the particular escape sequence in default prompt that
> is screwing your terminal.
>
> I'd be quick to point at a buggy readline.

Very possible. The odd thing though is that I'm running the same OS.
Aviad, do you have any non-standard repo enabled?

Please show us the output of:

 apt-cache show readline-common

This is what my box shows:

Package: readline-common
Priority: important
Section: base
Installed-Size: 136
Maintainer: Ubuntu Core Developers <email address hidden>
Original-Maintainer: Matthias Klose <email address hidden>
Architecture: all
Source: readline5
Version: 5.2-3build1
Replaces: libreadline4 (<< 4.3-16), libreadline5 (<< 5.0-11), libreadline-common
Conflicts: libreadline5 (<< 5.0-11), libreadline-common
Filename: pool/main/r/readline5/readline-common_5.2-3build1_all.deb
Size: 50926

Cheers,

f

Aviad Reich (aviad-reich) wrote :

ipython -p sh works (with `[~]` replacing the `In`).

user@home-desktop:~$ apt-cache show readline-common
> Package: readline-common
> Priority: important
> Section: base
> Installed-Size: 136
> Maintainer: Ubuntu Core Developers <email address hidden>
> Original-Maintainer: Matthias Klose <email address hidden>
> Architecture: all
> Source: readline5
> Version: 5.2-3build1
> Replaces: libreadline4 (<< 4.3-16), libreadline5 (<< 5.0-11),
> libreadline-common
> Conflicts: libreadline5 (<< 5.0-11), libreadline-common
> Filename: pool/main/r/readline5/readline-common_5.2-3build1_all.deb
> Size: 50926
> MD5sum: 8a16daa5bc8c3f7cba4c4470bbba0494
> ...

Aviad

On Fri, Feb 27, 2009 at 5:36 AM, Fernando Perez <email address hidden>wrote:

> On Thu, Feb 26, 2009 at 11:38 AM, Ville M. Vainio <email address hidden>
> wrote:
> > If nocolor works, You migth also want to try "ipython -p sh". Just to
> > test whether it's the particular escape sequence in default prompt that
> > is screwing your terminal.
> >
> > I'd be quick to point at a buggy readline.
>
> Very possible. The odd thing though is that I'm running the same OS.
> Aviad, do you have any non-standard repo enabled?
>
> Please show us the output of:
>
> apt-cache show readline-common
>
> This is what my box shows:
>
> Package: readline-common
> Priority: important
> Section: base
> Installed-Size: 136
> Maintainer: Ubuntu Core Developers <email address hidden>
> Original-Maintainer: Matthias Klose <email address hidden>
> Architecture: all
> Source: readline5
> Version: 5.2-3build1
> Replaces: libreadline4 (<< 4.3-16), libreadline5 (<< 5.0-11),
> libreadline-common
> Conflicts: libreadline5 (<< 5.0-11), libreadline-common
> Filename: pool/main/r/readline5/readline-common_5.2-3build1_all.deb
> Size: 50926
>
> Cheers,
>
> f
>
> --
> when looping, cursor appears at leftmost point in newline
> https://bugs.launchpad.net/bugs/334744
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Fernando Perez (fdo.perez) wrote :

Marking as 'in progress' but low importance, because without ever having seen this anywhere, and no way to reproduce it, the chances of actually doing anything about it are pretty low...

Will close in 6 months if no further info appears.

Changed in ipython:
assignee: nobody → fdo.perez
importance: Undecided → Low
status: New → In Progress
Aviad Reich (aviad-reich) wrote :

When upgrading to 9.04 (python2.6..) - The problem is now gone.

Good day, and thank you Fernando

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers